Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 159292

Summary: -r option not supported in edquota
Product: [Fedora] Fedora Reporter: Art Werschulz <agw>
Component: quotaAssignee: Ondrej Vasik <ovasik>
Status: CLOSED RAWHIDE QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: quota-3.17-4.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-13 13:43:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Art Werschulz 2005-06-01 14:35:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The edquota manpage says that there is a -r option, whose purpose is "Edit also non-local quota use rpc.rquotad on remote server to set quota."  (FWIW, this could  be written more clearly.)  

However, it appears that this option is not enabled in the version of edquota that's contained in the quota package.

However:
   
   
Many of our users' home directories are NFS-mounted from a machine other than the one on which we do account maintenance.  This means that unless we want to log in on the other machine and run edquota there for each newly-created user,
the -r option is crucial for us.

Thanks.


Version-Release number of selected component (if applicable):
quota-3.12-5

How reproducible:
Always

Steps to Reproduce:
Suppose that joeuser has an NFS-mounted home directory, and that someuser is being used as a template.  Merely run the command
     # /usr/sbin/edquota -r -p someuser joeuser  

Actual Results:  I get the message:
     /usr/sbin/edquota: invalid option -- r


Expected Results:  There should be no error message, and joeuser's quota should be the same as someuser's (the latter being ascertained via the "quota" command).

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:37:07 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Ondrej Vasik 2008-02-09 00:15:45 UTC
As new maintainer of quota moving to branch to devel as the enable_rpcsetquota
is still not enabled in Rawhide. I'm thinking about enabling that option, but I
would like to check some things before (as enabling remote quota could be
security hole). But you can always use our srpm and compile quota-tools yourself
with that option enabled ...

Comment 3 Bug Zapper 2008-05-14 01:59:50 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Ondrej Vasik 2009-03-13 13:43:57 UTC
Enabled by default in Rawhide,built as quota-3.17-4.fc11, as Fedora 9 was set by bug zapper, closing RAWHIDE.